Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057128 - [engine-backend] [external-provider] Engine doesn't execute DownloadImageVDSCommand when importing an image which was created in glance without --copy-data attribute
Summary: [engine-backend] [external-provider] Engine doesn't execute DownloadImageVDSC...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Sergey Gotliv
QA Contact: bugs@ovirt.org
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 13:46 UTC by Elad
Modified: 2016-02-10 17:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-26 12:06:15 UTC
oVirt Team: Storage


Attachments (Terms of Use)
engine.log and screenshot (deleted)
2014-01-23 13:46 UTC, Elad
no flags Details

Description Elad 2014-01-23 13:46:22 UTC
Created attachment 854396 [details]
engine.log and screenshot

Description of problem:
I tried to import an image from glance which wasn't copied first during creation. It seems that engine doesn't do anything in order to actually import the image. there is no DownloadImageVDSCommand when trying to import the image.

Version-Release number of selected component (if applicable):
ovirt-engine-3.4.0-0.5.beta1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create an image in glance without --copy-data attribute in the create-image command. For example:

[root@cougar01 ~(keystone_admin)]# glance image-create --disk-format qcow2 --location http://download.cirros-cloud.net/0.3.1/cirros-0.3.1-x86_64-disk.img --name gfslocation  --container-format bare

2. Add glance to oVirt as an external provider
3. Import the image from glance domain to a RHEV DC

Actual results:
The command doesn't even get to the backend, the 'import image(s)' window on UI get stuck until user closes it 

Expected results: 
The command should be passed to the backend, and if there is a failure to import the image, there should be an error about this on UI.

Additional info: engine.log and screenshot

Comment 1 Itamar Heim 2014-01-26 08:10:46 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Sergey Gotliv 2014-02-26 12:06:15 UTC
I verified several times that scenario described in this case is working.

According to attached logs there was an attempt to import a non-existing image but again such scenario is working either.

Please, reopen this case if reproducible for you.

Comment 3 Aharon Canan 2014-03-11 11:50:30 UTC
didn't reproduce again


Note You need to log in before you can comment on or make changes to this bug.